/*
 *  Copyright (c) 1992, 1993 John E. Davis  (davis@amy.tch.harvard.edu)
 *  All Rights Reserved.
 */
extern int replace(void);
extern int load_file(char *);
extern int find_file_in_window(char *);
extern int find_file(void);
extern int get_buffer(void);
extern int goto_line_cmd(void);
extern int goto_column_cmd(void);
extern int evaluate_cmd(void);
extern int kill_buffer(void);
extern int write_buffer(void);
extern int search_forward_cmd(void);
extern int global_setkey_cmd(void);
extern int search_backward_cmd(void);
extern int insert_file_cmd(void);
extern void init_minibuffer(void);
extern int exit_minibuffer(void);
extern int select_minibuffer(void);
extern void flush_message(char *);
extern int mini_complete(void);
extern void mini_read(char *, char *, char *);
extern Buffer *MiniBuffer;
extern void buffer_substring(void);
extern char *make_line_string(char *);
extern int set_buffer(char *);
extern void insert_string(char *);
extern void unset_key(char *);
extern void unset_key(char *key);
extern void set_key(char *, char *);
extern void unset_key_in_keymap(char *, char *);
extern int keymap_p(char *);
extern void set_key_in_keymap(char *, char *, char *);
extern void pop_to_buffer(char *);
extern int num_windows(void);

#ifdef unix
extern int shell_command(char *);
extern int pipe_region(char *);
#endif

extern void load_buffer(void);
extern void get_key_function(void);
extern int what_char(void);
extern void update_cmd(void);
extern void call_cmd(char *);
extern void copy_region_cmd(char *);

#ifndef msdos
extern void screen_w80(void);
extern void screen_w132(void);
#else
extern int show_memory(void);
#endif
extern void buffer_substring(void);
extern int markp(void);
extern int dup_mark(void);
extern void mini_read(char *, char *, char *);
extern void send_string_to_term(char *);
extern void get_buffer_info(void);
extern void set_buffer_info(char *file, char *, char *, int *);
extern void make_buffer_list(void);
extern void window_size_intrinsic(void);
extern int what_mode(void);
extern int expand_wildcards(char *);
extern int bufferp(char *);
extern int kill_buffer_cmd(char *);
extern int get_doc_string(char *, char *);
extern int insert_buffer_name(char *);
extern int find_file_cmd(char *);
extern void sl_read_file_from_mini(char *);
extern int replace_cmd(char *, char *, int *);
extern void set_mode_cmd(char *, int *);
extern void switch_to_buffer_cmd(char *);
extern char *what_buffer(void);
extern int write_buffer_cmd(char *);
extern char Last_Search_Str[132];
extern void set_tab(int *);
extern int get_yes_no(char *);
extern char *extract_list_element(char *, int *, int *);
extern char *command_line_argv(int *);
extern void count_chars(void);
extern int Main_Argc;
extern char **Main_Argv;


