#ifndef _DAVIS_MALLOC_H__
#define _DAVIS_MALLOC_H__

/* system specific malloc prototypes and macros. */

#ifdef msdos
#  define VOID void
#  include <alloc.h>
#  define FREE(buf)  farfree((void far *)(buf))
#  define MALLOC(x) farmalloc((unsigned long) (x))
#  define REALLOC(buf, n) farrealloc((void far *) (buf), (unsigned long) (n))
#  define CALLOC(n, m) farcalloc((unsigned long) (n), (unsigned long) (m))
#else
#  ifndef VMS
#    ifndef sequent
#      include <malloc.h>
#    endif
#  endif
#  define VOID unsigned char
#  define FREE(p) free((VOID *)(p))
#  define MALLOC malloc
#  define REALLOC realloc
#  define CALLOC calloc
#endif


/* _DAVIS_MALLOC_H__ */
#endif 
